# proxyUtil

## General info
some proxy tools

## Requirements
- [python 3](https://www.python.org/downloads)
- [install shadowsocks](https://github.com/shadowsocks/shadowsocks-libev#installation)
  ```console
  sudo apt install shadowsocks-libev
  ```
- [install v2ray](https://www.v2fly.org/en_US/guide/install.html)
  ```console
  sudo bash <(curl -L https://raw.githubusercontent.com/v2fly/fhs-install-v2ray/master/install-release.sh)
  ```
- [install xray](https://github.com/XTLS/Xray-core#installation)
  ```console
  sudo bash -c "$(curl -L https://github.com/XTLS/Xray-install/raw/main/install-release.sh)" @ install
  ```

## Installation
  ```console
  pip install --upgrade git+https://github.com/mheidari98/proxyUtil@main
  ```

## Uninstall
  ```console
  pip uninstall proxyUtil
  ```

## Usage
  + #### check [wiki](https://github.com/mheidari98/proxyUtil/wiki)

---

## Tools
- [x] [**connectMe**](https://github.com/mheidari98/proxyUtil/wiki/connectMe) : Simple cli proxy client for shadowsocks, vmess, vless, trojan
- [x] [**v2rayChecker**](https://github.com/mheidari98/proxyUtil/wiki/v2rayChecker) : Simple shadowsocks, vmess, vless, trojan checker with v2ray/xray core
- [x] [**shadowChecker**](https://github.com/mheidari98/proxyUtil/wiki/shadowChecker) : Simple shadowsocks proxy checker with shadowsocks-libev
- [x] [**dnsChecker**](https://github.com/mheidari98/proxyUtil/wiki/dnsChecker) : Simple DNS over UDP, DNS over TLS and DNS over HTTPS Checker
- [x] [**clashGen**](https://github.com/mheidari98/proxyUtil/wiki/clashGen) : Convert vmess, vless, trojan, shadowsocks,... proxy to Clash Config
- [x] [**cdnGen** ](https://github.com/mheidari98/proxyUtil/wiki/cdnGen) : Generating vmess url with cloudflare or arvan CDN IPs as address and our domain as host or sni for tls
- [x] [**ssURI2sslocal**](https://github.com/mheidari98/proxyUtil/wiki/ssURI2sslocal) : shadowsocks URI to ss-local command
- [x] [**sslocal2ssURI**](https://github.com/mheidari98/proxyUtil/wiki/sslocal2ssURI) : ss-local command to shadowsocks URI


## Status
Project is: _in progress_

## License
[MIT](https://choosealicense.com/licenses/mit)

## Contact
Created by [@mheidari98](https://github.com/mheidari98)

## Support
If you like this project, please consider supporting it by donating to the following bitcoin address:

## Disclaimer
* This project is meant for personal and educational uses only.
* Please follow relevant laws and regulations when using this project.
* Project owner is not responsible or liable in any manner for the use of the content.  


<!--
## Total Count

![Alt](https://repobeats.axiom.co/api/embed/0289398971e985e98985882b31d74a3171ac053d.svg "Repobeats analytics image")


## Star History  

[![Star History Chart](https://api.star-history.com/svg?repos=mheidari98/proxyUtil&type=Date)](https://star-history.com/#mheidari98/proxyUtil&Date)

-->
